Subject: Re: Completion in empty double-quotes generates error
From: Bart Schaefer <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2016 14:00:02 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 10,  1:13pm, Bart Schaefer wrote:
}
} I won't have a chance to look at this for at least another 3 weeks, so

Having said that, I took a guess and may have been lucky:

diff --git a/Src/lex.c b/Src/lex.c
index 25b372a..e36a01e 100644
--- a/Src/lex.c
+++ b/Src/lex.c
@@ -1795,6 +1795,10 @@ gotword(void)
 	if (zlemetacs >= nwb) {
 	    wb = nwb;
 	    we = nwe;
+	} else {
+	    wb = zlemetacs + addedx;
+	    if (we < wb)
+		we = wb;
 	}
 	lexflags = 0;
     }

This stops the "sh -c <TAB>" warning/coredump for me; I wasn't able to
reproduct the "tmux new <TAB>" error.  The assignment to "we" seems to
be entirely unnecessary, but it looks wrong to omit it.